Subject: [Megaco] INEQUAL, parmValue

From: Raphael Tryster <[email-masked]>
Date: Sun, 2 Jun 2002 10:21:40 +0200

INEQUAL              = LWSP (">" / "<" / "#" ) LWSP 

The symbol "#" is not explained.  From the ASN.1, it appears that it means
"not equal".  I found a comment in the archives describing it as "quantity
of" (??)
Which is correct?

Can a parmValue have the full set of underspecified forms anywhere the
syntax permits it, or are there restrictions depending on the particular
value involved?  For example, sublists, alternatives and ranges don't seem
very useful in the LocalControl descriptor, where I would expect nt/jit to
be a simple equality to a number, and tdmc/ec to be a simple equality to
"on" or "off".  The purpose of my question is to understand if data
structures holding parser output must always be prepared for the most
general form of parameter values, or if simplifying assumptions may be made
on a case by case basis.

Raphael Tryster

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 3 Jun 2002 10:14:43 -0400

First point: "#" does indeed mean "not equal", and we should say so.

Second point: underspecification in theory can be applied anywhere, but this
is just one of a number of areas where we may find with experience that we
can simplify.  That's no comfort to people writing the parsing software, but
we need more deployment experience to find out what actually gets used.

-----Original Message-----
From: Raphael Tryster [mailto:[email-masked]]
Sent: Sunday, June 02, 2002 4:22 AM
To: [email-masked]'
Subject: [Megaco] INEQUAL, parmValue

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 3 Jun 2002 10:14:43 -0400

---

From: Raphael Tryster <[email-masked]>
Date: Mon, 3 Jun 2002 17:42:15 +0200

Thanks, Tom.  Since sending the question I noticed the package property
Type, and I an wondering how it relates to the second point.  For example,
parameter tl of tonegen/pt is defined as a list of tone ids, which I assume
implies that for this parameter, a parser must be prepared for the full
richness of parmValue.  Parameter ind is defined as an integer.  Can it also
be a list?  If yes, then what is the significance of the Type field?  If no,
can we infer a general rule to help people writing the parsers?

Raphael Tryster

	-----Original Message-----
	From:	Tom-PT Taylor [SMTP:[email-masked]]
	Sent:	Monday, 03 June, 2002 4:15 PM
	To:	'Raphael Tryster'; [email-masked]'
	Subject:	RE: [Megaco] INEQUAL, parmValue

	Second point: underspecification in theory can be applied anywhere,
but this
	is just one of a number of areas where we may find with experience
that we
	can simplify.  That's no comfort to people writing the parsing
software, but
	we need more deployment experience to find out what actually gets
used.

	-----Original Message-----
	From: Raphael Tryster [mailto:[email-masked]]
	Sent: Sunday, June 02, 2002 4:22 AM
	To: [email-masked]'
	Subject: [Megaco] INEQUAL, parmValue

	INEQUAL              = LWSP (">" / "<" / "#" ) LWSP 
	The symbol "#" is not explained.  From the ASN.1, it appears that it
means
	"not equal".  I found a comment in the archives describing it as
"quantity
	of" (??)
	Which is correct? 
	Can a parmValue have the full set of underspecified forms anywhere
the
	syntax permits it, or are there restrictions depending on the
particular
	value involved?  For example, sublists, alternatives and ranges
don't seem
	very useful in the LocalControl descriptor, where I would expect
nt/jit to
	be a simple equality to a number, and tdmc/ec to be a simple
equality to
	"on" or "off".  The purpose of my question is to understand if data
	structures holding parser output must always be prepared for the
most
	general form of parameter values, or if simplifying assumptions may
be made
	on a case by case basis.
	Raphael Tryster

---

From: Raphael Tryster <[email-masked]>
Date: Mon, 3 Jun 2002 17:42:15 +0200

Raphael Tryster